<app-common-header name="Waiting for others"></app-common-header>

<ion-content>
    <ion-list lines="full">
        <ion-list-header>
            <ion-label>Files</ion-label>
        </ion-list-header>
        <ng-container *ngFor="let doc of documentClassifcation.waiting; let i = index">
            <ion-item *ngIf="doc.owner==ownerPublicKey" button (click)="onDocument(i)" detail="false">
                <ion-icon mode="md" [color]="(doc.owner==ownerPublicKey)?'success':'danger'"
                    [name]="(doc.owner==ownerPublicKey)?'arrow-up':'arrow-down'">
                </ion-icon>
                <img src="assets/icon-pdf.png" />
                <ion-label>
                    <h3>{{doc.name}}</h3>
                    <p>{{dateToShortString(doc.uploadDate)}}</p>
                </ion-label>
                <div>
                    <p>{{doc.cosignatures.length + 1}}/{{doc.cosigners.length + 1}}</p>
                </div>
            </ion-item>
        </ng-container>
    </ion-list>
</ion-content>